Bug 1798869 - [OSP13withKuryr]Cannot pull image from image registry for no image registry internal address in /etc/hosts
Summary: [OSP13withKuryr]Cannot pull image from image registry for no image registry i...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
low
high
Target Milestone: ---
: 4.3.z
Assignee: Michał Dulko
QA Contact: Jon Uriarte
URL:
Whiteboard:
Depends On: 1786024
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-06 08:02 UTC by Luis Tomas Bolivar
Modified: 2020-03-10 23:53 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1786024
Environment:
Last Closed: 2020-03-10 23:53:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-dns-operator pull 155 None closed [release-4.3] Bug 1798869: Try TCP DNS in dns-node-resolver 2020-06-18 02:55:57 UTC
Red Hat Product Errata RHBA-2020:0676 None None None 2020-03-10 23:53:43 UTC

Comment 3 Jon Uriarte 2020-02-24 12:31:27 UTC
Verified in 4.3.0-0.nightly-2020-02-20-235803 on top of OSP 16 RHOS_TRUNK-16.0-RHEL-8-20200220.n.0 compose.

Build creation and image pull from internal registry works.

$ oc new-app centos/ruby-25-centos7~https://github.com/sclorg/ruby-ex.git

$ oc get pods
NAME               READY   STATUS      RESTARTS   AGE
ruby-ex-1-build    0/1     Completed   0          5m40s
ruby-ex-1-deploy   0/1     Completed   0          4m18s
ruby-ex-1-fplzs    1/1     Running     0          4m5s

$ oc describe pod ruby-ex-1-fplzs
...
  Type    Reason     Age        From                                Message
  ----    ------     ----       ----                                -------
  Normal  Scheduled  <unknown>  default-scheduler                   Successfully assigned default/ruby-ex-1-fplzs to ostest-pshnn-worker-qtckd
  Normal  Pulling    4m28s      kubelet, ostest-pshnn-worker-qtckd  Pulling image "image-registry.openshift-image-registry.svc:5000/default/ruby-ex@sha256:7aba88213be4aab5ac6b7b108a66ee156472955484406c0ee57eb2af0b7b418a"
  Normal  Pulled     4m12s      kubelet, ostest-pshnn-worker-qtckd  Successfully pulled image "image-registry.openshift-image-registry.svc:5000/default/ruby-ex@sha256:7aba88213be4aab5ac6b7b108a66ee156472955484406c0ee57eb2af0b7b418a"
  Normal  Created    4m12s      kubelet, ostest-pshnn-worker-qtckd  Created container ruby-ex
  Normal  Started    4m12s      kubelet, ostest-pshnn-worker-qtckd  Started container ruby-ex

Comment 5 errata-xmlrpc 2020-03-10 23:53:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0676


Note You need to log in before you can comment on or make changes to this bug.